import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";

const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

// 添加
export async function httpAdd(data: object = {}): Promise<DataType<any>> {
  return http.request(
    "post",
    `${VITE_PROXY_DOMAIN_REAL}/admin/AccoountBatchAdd`,
    {
      data
    }
  );
}

//分页查询
export async function httpList(data: object): Promise<DataType<any[]>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/accoountBatchLog`,
    {
      data
    }
  );
}
